#include "SnakeTile.h"

SnakeTile::SnakeTile(QObject *parent) : WimaAreaData(parent) {}

SnakeTile::SnakeTile(const SnakeTile &other, QObject *parent)
    : WimaAreaData(parent) {
  *this = other;
}

SnakeTile &SnakeTile::operator=(const SnakeTile &other) {
  this->assign(other);
  return *this;
}

void SnakeTile::assign(const SnakeTile &other) { WimaAreaData::assign(other); }
